package com.github.polpetta.mezzotre;

import com.google.inject.AbstractModule;
import com.google.inject.Provides;
import io.jooby.Jooby;
import org.slf4j.Logger;

public class InjectionModule extends AbstractModule {
  private final Jooby jooby;

  public InjectionModule(Jooby jooby) {
    this.jooby = jooby;
  }

  @Provides
  public Logger getLogger() {
    return jooby.getLog();
  }
}
