package com.github.polpetta.mezzotre.telegram.callbackquery.di;

import com.github.polpetta.mezzotre.telegram.callbackquery.ChangeLanguage;
import com.github.polpetta.mezzotre.telegram.callbackquery.Processor;
import com.google.inject.AbstractModule;
import com.google.inject.Provides;
import java.util.Set;
import javax.inject.Named;
import javax.inject.Singleton;

public class CallbackQuery extends AbstractModule {
  @Provides
  @Singleton
  @Named("eventProcessors")
  public Set<Processor> getEventProcessor(ChangeLanguage changeLanguage) {
    return Set.of(changeLanguage);
  }
}
